/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package ZEN_IDL.be.helperUtils;

import java.util.*;

public class InterfaceMethod
{
    public InterfaceMethod()
    {
        isOneWay = false;
        returnType = "NoTypeYet";
        name = "NoNameYet";
        paramVector = new Vector();
	exceptionVector = new Vector();
	contextExprVector = new Vector();
	overrideGiopName = "";
    }
    public void addParam( InterfaceMethodParam p ){
    	paramVector.add( p );
    }
    public boolean isOneWay;
    public String returnType;
    public String name;
    public Vector paramVector;
    public Vector exceptionVector;
    public Vector contextExprVector;

    public String overrideGiopName;
}
