/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc;

import mqc.ior.*;
import mqc.protocols.*;

/**
 * GIOPLite protocol delegate
 * 
 * @author Kim Christian Swenson
 *
 */
public class GIOPLiteDelegate extends Delegate
{
   /**
    * Constructor. Initializes variables.
    */
   public GIOPLiteDelegate(ORB orb, IOR ior, boolean big )
   {
      super(orb, ior, big);
      protocol = GIOP_LITE_PROT;
      m_reply = new GIOPLiteReply();
      m_request = new GIOPLiteRequest();
   }

}
