/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc.protocols;

public abstract class GIOPRequestHeader implements Marshalable
{

   protected int m_reqID;
   protected boolean m_oneWay;
   protected byte[] m_objectKey;
   protected String m_operation;
   
   public int getRequestID()
   {
      return m_reqID;
   }

   public void setRequestID( int id )
   {
      m_reqID = id;
   }

   public boolean isOneWay()
   {
      return m_oneWay;
   }

   public void setOneWay( boolean oneway )
   {
      m_oneWay = oneway;
   }

   public byte[] getObjectKey()
   {
      return m_objectKey;
   }

   public void setObjectKey( byte[] key )
   {
      m_objectKey = key;
   }

   public String getOperation()
   {
      return m_operation;
   }

   public void setOperation( String op )
   {
      m_operation = op;
   }

}
